/* Sidebar Starts Here */
.skin-purple-light .main-header .logo,
.skin-purple-light .main-header .logo:hover {
    background-color: unset;
}

aside.main-sidebar {
	/* background: linear-gradient(90deg,#605ca8 0%,#a5a0ff 100%); */
	background: linear-gradient(100deg,#8f75da 0,#727cf5 60%);
}

.main-sidebar .sidebar-menu > li > .treeview-menu {
    background: none;
}

.main-sidebar .treeview-menu>li {
    margin-left: 5px;
}

.main-sidebar .sidebar a,
.main-sidebar .treeview-menu > li > a {
	color: #cedce4;
}

.main-sidebar .sidebar-menu > li > a {
    /* border-left: 3px solid transparent; */
    font-weight: unset;
}

.main-sidebar .treeview-menu > li.active > a,
.main-sidebar .treeview-menu > li > a:hover,
.main-sidebar .sidebar-menu > li:hover > a,
.main-sidebar .sidebar-menu > li.active > a {
    color: #fff;
	background: none;
	font-weight: 600;
}
/* Sidebar Ends Here */

/* Overriding template Starts Here */
.box.box-solid>.box-header>.box-tools .btn.shadow-m {
	box-shadow: 6px 6px 6px rgba(0, 0, 0, 0.3);
}

.box.box-solid>.box-header>.box-tools .btn.double-shadow {
	border: none;
	box-shadow: 6px 6px 6px rgba(0,0,0,0.3),
				-6px -6px 6px rgba(255, 255, 255, 0.3);
}

.v-select.rounded-10 .dropdown-toggle {
	border-radius: 10px;
}

.v-select.rounded-10 .vs__actions {
	padding: 0 10px 0 3px;
}

.v-select.rounded-20 .dropdown-toggle {
	border-radius: 20px;
}

.v-select.rounded-20 .vs__actions {
	padding: 0 10px 0 3px;
}
/* Overriding template Ends Here */

/* Custom Buttons Start Here */
.btn-export {
    border: 2px solid;
	font-weight: 700;
    border-radius: 50px;
	padding: 5px 20px;
	margin-left: 5px;
	outline: none;
	transition: background .250s cubic-bezier(0.18, 0.89, 0.32, 1.28);
}

.btn-export:hover {
	color: #fff;
}

.btn-cell {
	color: darkmagenta;
    padding: 25px;
	font-size: 18px;
	border-radius: 0 20px 20px 0;
    transition: all .5s ease;
}

.btn-cell:hover {
	color: black;
	background: #f3caca;
	margin-left: -10px;
	box-shadow: 0px 5px 22px -6px #3c3a3a;
}

.btn-excel {
	border-color: #00a65a;
	color: #00a65a;
}

.btn-excel:hover {
	background-color: #00a65a !important;
}

.btn-print {
	border-color: #000;
	color: #000;
}

.btn-print:hover {
	background-color: #000;
}

.btn-pdf {
	border-color: #dd4b39;
	color: #dd4b39;
}

.btn-pdf:hover {
	background-color: #dd4b39;
}
/* Custom Buttons End Here */

/* Report Item Starts Here */
.report-item {
	box-shadow: 1px 1px 10px 1px #ccc;
	padding: 10px;
	margin-bottom: 10px;
	margin-bottom: 48px;
	overflow: hidden;
}

.report-item-heading {
	margin: -10px -10px 15px;
}
/* Report Item Ends Here */

/* Yellow Tooltip Starts Here */
.tooltip-yellow + .tooltip > .tooltip-inner {
	padding: 5px 15px;
	background: #ecce79;
	font-size: 1.5rem;
	color: black;
	font-weight: 700;
	border-radius: 10px;
}

.tooltip-yellow + .tooltip > .tooltip-arrow {
	border-bottom-color: #ecce79;
}
/* Yellow Tooltip Ends Here */



/* Background Colors Start Here */
.bg-transparent {
	background: transparent!important;
}

.bg-black-70-percent-transparent {
	background: rgba(0, 0, 0, 0.64) !important;
}

.bg-white {
	background: #fff !important;
}
/* Background Colors End Here */

/* Background Hover Colors Start Here */
.hover\:bg-aquamarine:hover {
	background-color: aquamarine !important;
}

.hover\:bg-lightgray:hover {
	background-color: lightgray !important;
}
/* Background Hover Colors End Here */

/* Text Colors Start Here */
.text-gray-dark {
	color: #a5a0a0;;
}
/* Text Colors End Here */

/* Text Hover Colors Start Here */
.hover\:text-black:hover {
	color: #242424;;
}
/* Text hover Colors End Here */

/* Text Active Colors Start Here */
.active\:text-black:active {
	color: #242424;;
}
/* Text Active Colors End Here */

/* Text Focus Colors Start Here */
.focus\:text-black:focus {
	color: #242424;;
}
/* Text Focus Colors End Here */

/* Vertical Aligned Table Row Starts Here */
.table.v-align-middle > tbody > tr > td,
.table.v-align-middle > thead > tr > th {
	vertical-align: middle;
}
/* Vertical Aligned Table Row Ends Here */

/* Remove row margin Starts Here */
.remove-row-margin {
	margin-left: 0px;
	margin-right: 0px;
}
/* Remove row margin Ends Here */

/* Shadows Starts Here */
.shadow-m {
	box-shadow: 6px 6px 6px rgba(0, 0, 0, 0.3);
}

.double-shadow {
	border: none;
	box-shadow: 6px 6px 6px rgba(0,0,0,0.3),
				-6px -6px 6px rgba(255, 255, 255, 0.3);
}

.form-control.double-shadow:focus {
	border: none;
	box-shadow: 6px 6px 6px rgba(0,0,0,0.3),
				-6px -6px 6px rgba(255, 255, 255, 0.3);
}

.double-shadow-light {
	box-shadow:
		2px 2px 4px rgba(0, 0, 0, 0.3), 
		-3px -3px 4px rgb(228, 228, 228);
}
/* Shadows Ends Here */

/* Flex Starts Here */
.flex {
	display: flex;
}

.flex-column {
	flex-direction: column;
}

.flex-wrap {
	flex-wrap: wrap;
}

.flex-1 {
	flex: 1;
}

.justify-center {
	justify-content: center;
}

.justify-between {
	justify-content: space-between;
}

.justify-around {
	justify-content: space-around;
}

.justify-end {
	justify-content: flex-end;
}

.items-center {
	align-items: center;
}

.items-end {
	align-items: flex-end;
}
/* Flex Ends Here */
.cursor-pointer {
	cursor: pointer;
}

.overflow-hidden {
	overflow: hidden;
}

.rounded-t-10 {
	border-radius: 10px 10px 0 0;
}

.rounded-t-20 {
	border-radius: 20px 20px 0 0;
}

.rounded-10 {
	border-radius: 10px;
}

.rounded-20 {
	border-radius: 20px;
}

/* Height Starts Here */
.h-100 {
	height: 100px;
}
/* Height Ends Here */

/* Min Height Starts Here */
.min-h-130 {
	min-height: 130px;
}
/* Min Height Ends Here */

/* Margin Starts Here */
.m-0 {
	margin: 0;
}

.mr-auto-imp {
	margin-right: auto !important;
}

.mr-50 {
	margin-right: 50px;
}

.ml-20 {
	margin-left: 20px;
}

.ml-25 {
	margin-left: 25px;
}

.ml-50 {
	margin-left: 50px;
}

.ml-75 {
	margin-left: 75px;
}

.-ml-45 {
	margin-left: -45px;
}

.mb-0 {
	margin-bottom: 0;
}

.mb-5 {
	margin-bottom: 5px;
}

.mb-10 {
	margin-bottom: 10px;
}

.mb-20 {
	margin-bottom: 20px;
}

.mb-50 {
	margin-bottom: 50px;
}

.mt-5 {
	margin-top: 5px;
}

.mt-10 {
	margin-top: 10px;
}

.mt-20 {
	margin-top: 20px;
}

.-mt-15 {
	margin-top: -15px;
}

.-mt-30 {
	margin-top: -30px;
}

.mx-5 {
	margin-right: 5px;
	margin-left: 5px;
}

.-mx-20 {
	margin-right: -20px;
	margin-left: -20px;
}

.mx-10 {
	margin-right: 10px;
	margin-left: 10px;
}

.mx-20 {
	margin-right: 20px;
	margin-left: 20px;
}

.mx-25 {
	margin-right: 25px;
	margin-left: 25px;
}

.my-10 {
	margin-top: 10px;
	margin-bottom: 10px;
}

.my-20 {
	margin-top: 20px;
	margin-bottom: 20px;
}

.my-25 {
	margin-top: 25px;
	margin-bottom: 25px;
}

.-mb-20 {
	margin-bottom: -20px;
}
/* Margin Ends Here */

/* Padding Starts Here */
.p-0 {
	padding: 0px;
}

.p-20 {
	padding: 20px;
}

.pt-20 {
	padding-top: 20px;
}

.pt-40 {
	padding-top: 40px;
}

.pb-20 {
	padding-bottom: 20px;
}

.pb-40 {
	padding-bottom: 40px;
}

.px-5 {
	padding-right: 5px;
    padding-left: 5px;
}

.px-10 {
	padding-right: 10px;
    padding-left: 10px;
}

.px-20 {
	padding-right: 20px;
    padding-left: 20px;
}

.px-25 {
	padding-right: 25px;
    padding-left: 25px;
}

.py-0 {
	padding-top: 0px;
	padding-bottom: 0px;
}

.py-5 {
	padding-top: 5px;
	padding-bottom: 5px;
}

.py-10 {
	padding-top: 10px;
	padding-bottom: 10px;
}

.py-20 {
	padding-top: 20px;
    padding-bottom: 20px;
}

.py-25 {
	padding-top: 25px;
    padding-bottom: 25px;
}
/* Padding Ends Here */

/* Border Size Starts Here */
.border-t-1 {
	border-top: 1px solid;
}

.border-b-1 {
	border-bottom: 1px solid;
}

.border-y-1 {
	border-top: 1px solid;
	border-bottom: 1px solid;
}

.border-l-1 {
	border-left: 1px solid;
}

.border-r-1 {
	border-right: 1px solid;
}

.border-x-1 {
	border-left: 1px solid;
	border-right: 1px solid;
}
/* Border Size Ends Here */

/* Border Color Starts Here */
.border-darkgray {
	border-color: darkgray;
}

.border-r-darkgray {
	border-right-color: darkgray;
}
/* Border Color Ends Here */

/* Font Size Starts Here */
.text-base {
	font-size: 1rem;
}

.text-lg {
	font-size: 1.125rem;
}

.text-xl {
	font-size: 1.25rem;
}

.text-2xl {
	font-size: 1.5rem;
}

.text-3xl {
	font-size: 1.875rem;
}

.text-4xl {
	font-size: 2.25rem;
}

.text-5xl {
	font-size: 3rem;
}

.text-6xl {
	font-size: 4rem;
}

.text-7xl {
	font-size: 5rem;
}
/* Font Size Ends Here */

/* Font Weights Start Here */
.font-hairline {
	font-weight: 100;
}

.font-thin {
	font-weight: 200;
}

.font-light {
	font-weight: 300;
}

.font-normal {
	font-weight: 400;
}

.font-medium {
	font-weight: 500;
}

.font-semibold {
	font-weight: 600;
}

.font-bold {
	font-weight: 700;
}

.font-extrabold {
	font-weight: 800;
}

.font-black {
	font-weight: 900;
}
/* Font Weights End Here */

.my-alert {
	padding: 0 15px;
    margin-bottom: 10px;
    border: 1px solid transparent;
    border-radius: 4px;
}

.btn-group-margin-top-22 {
	margin-top: 22px;
}

.cash-credit {
	text-align: center;
    border-radius: 10px;
    width: 40%;
    box-shadow: 0 0 5px 0px black;
}

.only-print {
	display: none;
}

.error {
	border-radius: 10px;
	color: rgb(252, 32, 32);
}

.no-resize {
	resize: none;
}

.datepicker table tr td.disabled,
.datepicker table tr td.disabled:hover {
    color: #ccc !important;
}


input[type="search"].form-control {
	max-width: 0 !important;
}

.v-select input[type="search"].form-control {
	max-width: 100% !important;
}

@media print {
	.only-print {
		display: block;
	}
	
	.no-print {
		display: none;
	}
}